Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

Fetch scorers

Fetch prompt scorers by names

GET/v1/projects/{projectId}/scorers
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
Query parameters
namesstring
is_tracestring
Responses
200

Response for status 200

scorersobject[]required
Show properties
Array of object
idstringrequired
user_idstringrequired
organization_idstringrequired
project_idstringrequired
namestringrequired
promptstringrequired
reasoning_levelstringrequired
Allowed:litenormalhigh
min_scorenumber
default: 0
max_scorenumber
default: 1
descriptionstring | null
Show properties
Any of:
string
string
null
null
created_atstring | nullrequired
Show properties
Any of:
string
string
null
null
updated_atstring | nullrequired
Show properties
Any of:
string
string
null
null
is_traceboolean
default: false
score_typestringrequired
Allowed:numericbinarycategorical
judge_idstringrequired
judge_version_idstringrequired
judge_major_versionnumberrequired
judge_minor_versionnumberrequired
tagstring | null
Show properties
Any of:
string
string
null
null
categoriesobject[] | null
Show properties
Any of:
object[]
Array of object
namestringrequired
descriptionstringrequired
null
null
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/scorers' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json'
Response
{
  "scorers": [
    {
      "id": "string",
      "user_id": "string",
      "organization_id": "string",
      "project_id": "string",
      "name": "string",
      "prompt": "string",
      "reasoning_level": "lite",
      "min_score": 0,
      "max_score": 1,
      "description": "string",
      "created_at": "string",
      "updated_at": "string",
      "is_trace": false,
      "score_type": "numeric",
      "judge_id": "string",
      "judge_version_id": "string",
      "judge_major_version": 0,
      "judge_minor_version": 0,
      "tag": "string",
      "categories": [
        {
          "name": "string",
          "description": "string"
        }
      ]
    }
  ]
}

Was this page helpful?